## freedink-data-1.08.20170401.tar.gz

=== Makefile ===
DESTDIR=
PREFIX=/usr/local
DATADIR=$(PREFIX)/share
VERSION:=1.08.$(shell date +%Y%m%d)
releasedir=freedink-data-$(VERSION)
SOURCE_DATE_EPOCH:=$(shell date -d$$(echo $(VERSION) | grep -Po '\d{8}')Z0000 +%s)

all:
	@echo "No default action"

install:
#	Copy game data

#	The final directory is '$PREFIX/share/dink/dink' ('dink'
#	twice), as there can be site-wide D-Mods such as
#	'$PREFIX/share/dink/island'
	install -d -m 755 $(DESTDIR)$(DATADIR)/dink

#	'-a' will preserve timestamps, which some distros prefer. It
#	will also preserve symlinks, which may be useful as there are
#	a few duplicate musics. Use a .zip archive for woe releases,
#	it will duplicate files but avoid creating empty files instead
#	of symlinks.
	cp -a dink $(DESTDIR)$(DATADIR)/dink/

#	Tidy permissions
	find $(DESTDIR)$(DATADIR)/dink/dink/ -type d -print0 | xargs -0r chmod 755
	find $(DESTDIR)$(DATADIR)/dink/dink/ -type f -print0 | xargs -0r chmod 644

# Release:
# (Do this from a fresh Git checkout to avoid packaging temporary files)
dist: update-gmo
##	Source release

#	Not using Git because that doesn't ship the .mo files
#	Plus that forbids testing uncommitted changes
#	git archive --format=tar.gz --prefix=$(releasedir)/ -o > $(releasedir).tar.gz HEAD \
#	  -- ChangeLog COPYING NEWS *.txt *.spec Makefile autobuild/ debian/ dink/ doc/ licenses/ soundtest/ src/ \

	rm -rf $(releasedir)
	mkdir $(releasedir)
	chmod 00755 $(releasedir)
	umask 022; cp -dR ChangeLog COPYING NEWS *.txt *.spec Makefile autobuild/ debian/ dink/ doc/ licenses/ soundtest/ src/ $(releasedir)

#	Clean-up:
#	git files
	find $(releasedir)/ -name ".gitignore" -print0 | xargs -0r rm
#	backup files
	find $(releasedir)/ -name "*~" -print0 | xargs -0r rm
#	savegames
	find $(releasedir)/ -iname "save*.dat" -print0 | xargs -0r rm
#	cheat^Wdebugging tool
	rm -f $(releasedir)/dink/Story/key-67.c
#	debug mode output
	rm -f $(releasedir)/dink/DEBUG.TXT

#	Tarball:
#	Make it reproducible, not really needed, but fun and doesn't leak metadata
#	https://reproducible-builds.org/docs/archives/
	tar -c --sort=name \
	  --mtime="@$(SOURCE_DATE_EPOCH)" \
	  --owner=root --group=root --numeric-owner \
	  $(releasedir)/ | pixz -7 > $(releasedir).tar.xz

	rm -rf $(releasedir)

# Compile translation strings catalogs
update-gmo:
	cd dink/l10n; \
	for i in da de fr nl mk es eo fi ca hu; do \
		mkdir -p $$i/LC_MESSAGES; \
		echo -n "$$i: "; \
		msgfmt --statistics $$i.po -o $$i/LC_MESSAGES/dink.mo; \
	done

reprotest:
	reprotest --dont-vary=time \
	  'make dist VERSION=$(VERSION) && ./autobuild/freedink-data-woe.sh $(VERSION) \
	    && chmod 644  \$(releasedir).tar.xz $(releasedir)-nosrc.zip' \
	  '$(releasedir).tar.xz $(releasedir)-nosrc.zip'

=== debian/changelog ===
freedink-data (1.08.20170401-1) UNRELEASED; urgency=medium

  * New upstream release
  * Bump Standards-Version (no changes)
  * Update URL with .xz extension

 -- Sylvain Beucler <beuc@debian.org>  Sat, 01 Apr 2017 22:03:44 +0200

freedink-data (1.08.20140901-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version (no changes)
  * Bump compat to 9 (for the sake of it)

 -- Sylvain Beucler <beuc@debian.org>  Mon, 01 Sep 2014 21:57:24 +0200

freedink-data (1.08.20121209-1) experimental; urgency=low

  * New upstream release
  * Specify source format
  * Install upstream ChangeLog
  * Remove helper-templates-in-copyright lintian override, the false
    positive was fixed by lintian.

 -- Sylvain Beucler <beuc@debian.org>  Sun, 14 Oct 2012 12:21:31 +0200

freedink-data (1.08.20111016-1) unstable; urgency=low

    * New upstream release

 -- Sylvain Beucler <beuc@debian.org>  Sun, 16 Oct 2011 20:23:04 +0200

freedink-data (1.08.20110723-1) unstable; urgency=low

  * New upstream release
  * Use http: rather than ftp: in the watch file, as FTP sometimes doesn't
    work in some NAT'd networks
  * Remove old reference to .d files
  * Add README.source and point to upstream's doc/PACKAGING
  * Use debhelper 7
  * Use 3.0 source format
  * Add gbp.conf to ignore .gitignore files automatically
  * Ignore helper-templates-in-copyright due to the presence of
    "author(s)" in the license text

 -- Sylvain Beucler <beuc@debian.org>  Sat, 23 Jul 2011 00:17:33 +0200

freedink-data (1.08.20100103-3) unstable; urgency=low

  * More updates to the Dutch translation

 -- Sylvain Beucler <beuc@debian.org>  Mon, 25 Oct 2010 23:20:11 +0200

freedink-data (1.08.20100103-2) unstable; urgency=low

  * Update Dutch translation (Closes: #601245)

 -- Sylvain Beucler <beuc@debian.org>  Sun, 24 Oct 2010 19:33:20 +0200

freedink-data (1.08.20100102-1) unstable; urgency=low

  * New upstream release
  * Fix debhelper-but-no-misc-depends: add "Depends: ${misc:Depends}" for
    the freedink-data binary package in 'debian/control'

 -- Sylvain Beucler <beuc@beuc.net>  Sun, 03 Jan 2010 20:57:54 +0100

freedink-data (1.08.20090706-1) unstable; urgency=low

  * New upstream release
    Closes: #523457

 -- Sylvain Beucler <beuc@beuc.net>  Sun, 06 Jul 2009 09:37:12 +0200

freedink-data (1.08.20080920-1) unstable; urgency=low

  * Initial release (Closes: #492760)

 -- Sylvain Beucler <beuc@beuc.net>  Sat, 20 Sep 2008 20:50:51 +0200

=== debian/control ===
Source: freedink-data
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sylvain Beucler <beuc@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://www.gnu.org/software/freedink/
Vcs-Git: git://git.savannah.gnu.org/freedink/freedink-data.git
Vcs-Browser: http://git.savannah.gnu.org/cgit/freedink/freedink-data.git

Package: freedink-data
Architecture: all
Depends: ${misc:Depends}
Description: adventure and role-playing game (game data)
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humour, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 This package contains the original game story, along with free sound
 and music replacements.

=== debian/watch ===
# With this file, you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncommment to examine a FTP server
http://ftp.gnu.org/gnu/freedink/freedink-data-(.*)\.tar\.xz debian uupdate
